summaryrefslogtreecommitdiff
path: root/test/testsslproxy
diff options
context:
space:
mode:
authorlevitte <levitte>2005-01-27 10:59:36 +0000
committerlevitte <levitte>2005-01-27 10:59:36 +0000
commit034706ebb36d7cc5b682606385018404cc42fe02 (patch)
tree72ae1617c0b9027b4d83a6e658f2c23003f71abc /test/testsslproxy
parent2c5c0236559126179322f9176f4f374104d2e9fe (diff)
downloadopenssl-034706ebb36d7cc5b682606385018404cc42fe02.tar.gz
Oops, == should really be = when used with test ([ and ]).
I guess I use bash too much... Thanks to Peter Sylvester <Peter.Sylvester@edelweb.fr> for pointing it out to me.
Diffstat (limited to 'test/testsslproxy')
-rw-r--r--test/testsslproxy2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/testsslproxy b/test/testsslproxy
index 40469f591..70cf12342 100644
--- a/test/testsslproxy
+++ b/test/testsslproxy
@@ -5,6 +5,6 @@ echo 'Some of them may turn out being invalid, which is fine.'
for auth in A B C BC; do
for cond in A B C 'A|B&!C'; do
sh ./testssl $1 $2 $3 "-proxy_auth $auth -proxy_cond $cond"
- if [ $? == 3 ]; then exit 1; fi
+ if [ $? = 3 ]; then exit 1; fi
done
done